import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';

const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40;
const mouthWidth = 20;
const mouthRadius = 140;

const eyeArc1 = d3.arc()
    .innerRadius(20)
    .outerRadius(30)
    .startAngle(-Math.PI/4)
    .endAngle(Math.PI/4);

const eyeArc = d3.arc()
    .innerRadius(1)
    .outerRadius(30)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const mouthArc = arc()
	.innerRadius(mouthRadius)
	.outerRadius(mouthRadius + mouthWidth)
	.startAngle(Math.PI/2)
	.endAngle(Math.PI*3/2);

const noseArc = d3.arc()
      .innerRadius(0)
      .outerRadius(35)
      .startAngle(Math.PI / 2)
      .endAngle(Math.PI *3/ 2);

const earArc = d3.arc()
      .innerRadius(0)
      .outerRadius(75)
      .startAngle(-Math.PI/2)
      .endAngle(Math.PI/2);

const innerearArc = d3.arc()
    .innerRadius(0)
    .outerRadius(45)
    .startAngle(-Math.PI/2)
    .endAngle(Math.PI/2);

const tongue = d3.arc()
		.innerRadius(75)
    .outerRadius(50)
    .startAngle(Math.PI/3)
    .endAngle(Math.PI * 3/2 - .5);

const App = () => (
<svg width={width} height={height}>
  <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="#ffff99"
        stroke="black"
        stroke-width={strokeWidth}
      />
    <path 
        d = {eyeArc1()}
        transform = "rotate(20)    translate(50,-165)"
        fill = "black"
        />
      <path 
        d = {eyeArc1()}
        transform = "rotate(-20)    translate(-50,-165)"
        fill = "black"
        />
    <path 
        d = {eyeArc()}
        transform = "rotate(5)    translate(-135,-68)"
        fill = "black"
      />
    	<path 
        d = {eyeArc()}
        transform = "rotate(-5)    translate(140,-68)"
        fill = "black"
      />
    <path 
        d = {earArc()} 
        transform = "rotate(-50) translate(10,-235)"
        fill = "black"
      />
    <path 
        d = {earArc()} 
        transform = "rotate(50) translate(10, -235)"
        fill = "black"
      />
    <path 
        d = {innerearArc()} 
        transform = "rotate(-50) translate(10,-240)" fill="#662200"/>
      <path 
        d = {innerearArc()} 
        transform = "rotate(50) translate(10,-240)" fill="#662200"/>
    <path 
        d = {innerearArc()} 
        transform = "rotate(-5) translate(20,-200)" fill="#ffff99"/>
    <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
    <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius}
      	fill="white"
      	stroke="black"
      	stroke-width="7"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black"
        stroke = "green"
      />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={eyeRadius/2}
        fill = "black"
        stroke = "green"
      />
      
  <path d={noseArc()}/>
  <path d={mouthArc()}/>
  <path d={tongue()}
    transform = "rotate(-10) translate(60,120)" fill="black"/>
	
  
  </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);